import kotlin.String
import org.gradle.plugin.use.PluginDependenciesSpec
import org.gradle.plugin.use.PluginDependencySpec

/**
 * Generated by https://github.com/jmfayard/buildSrcVersions
 *
 * Find which updates are available by running
 *     `$ ./gradlew buildSrcVersions`
 * This will only update the comments.
 *
 * YOU are responsible for updating manually the dependency version.
 */
object Versions {
    const val org_jetbrains_kotlin: String = "1.3.72" // available: "1.3.72"

    const val com_github_johnrengelman_shadow_gradle_plugin: String = "5.2.0"

    const val de_fayard_buildsrcversions_gradle_plugin: String = "0.7.0"

    const val org_jetbrains_kotlin_jvm_gradle_plugin: String = "1.3.72" // available: "1.3.72"

    const val jackson_module_kotlin: String = "2.11.0" // available: "2.11.0"

    const val kotlin_openapi3_dsl: String = "0.21.1" // available: "0.21.1"

    const val jackson_databind: String = "2.11.0" // available: "2.11.0"

    const val junit_jupiter: String = "5.6.2" // available: "5.6.2"

    const val slf4j_simple: String = "1.7.30"

    const val swagger_core: String = "2.1.2" // available: "2.1.2"

    const val swagger_ui: String = "3.26.0" // available: "3.26.0"

    const val javalin: String = "3.9.0" // available: "3.9.0"

    /**
     * Current version: "6.5"
     * See issue 19: How to update Gradle itself?
     * https://github.com/jmfayard/buildSrcVersions/issues/19
     */
    const val gradleLatestVersion: String = "6.5"
}

/**
 * See issue #47: how to update buildSrcVersions itself
 * https://github.com/jmfayard/buildSrcVersions/issues/47
 */
val PluginDependenciesSpec.buildSrcVersions: PluginDependencySpec
    inline get() =
            id("de.fayard.buildSrcVersions").version(Versions.de_fayard_buildsrcversions_gradle_plugin)
